### Class

# Foundry DebuggerTargetProcess

#### Description [src]

    final class Foundry.DebuggerTargetProcess : Foundry.DebuggerTarget
    {
      /* No available fields */
    }

Represents a request to connect to an existing process.

#### Ancestors

- FoundryDebuggerTarget
- GObject

#### Constructors

###### foundry_debugger_target_process_new

No description available.

#### Instance methods

###### foundry_debugger_target_process_get_pid

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.DebuggerTargetProcess:pid

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDebuggerTargetProcessClass {
      /* no available fields */
    }

No description available.